net.i2p.client.naming

## Class DummyNamingService

- java.lang.Object
- - net.i2p.client.naming.NamingService
  - - net.i2p.client.naming.DummyNamingService

- Direct Known Subclasses:
    BlockfileNamingService, EepGetNamingService, MetaNamingService

      public class DummyNamingService
      extends NamingService

  A Dummy naming service that can only handle base64 and b32 destinations.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static int` | `BASE32_HASH_LENGTH`
    `protected static int` | `CACHE_MAX_SIZE`
    `static int` | `DEST_SIZE`
    `static String` | `PROP_B32`

    - ### Fields inherited from class net.i2p.client.naming.NamingService

      `_context, _listeners, _log, _updaters, PROP_IMPL`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DummyNamingService(I2PAppContext context)` The naming service should only be constructed and accessed through the application context.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static void` | `clearCache()`
    `protected static Destination` | `getCache(String s)`
    `Destination` | `lookup(String hostname, Properties lookupOptions, Properties storedOptions)` Same as lookup(hostname) but with in and out options Note that whether this (and lookup(hostname)) resolve Base 32 addresses in the form {52 chars}.b32.i2p is NamingService-specific.
    `protected static void` | `putCache(String s, Destination d)` Provide basic static caching for all services
    `protected static void` | `removeCache(String s)`

    - ### Methods inherited from class net.i2p.client.naming.NamingService

      `addDestination, addDestination, addNamingService, addNamingService, createInstance, export, export, getBase64Entries, getConfiguration, getEntries, getEntries, getName, getNames, getNames, getNamingServices, getParent, isB32Host, isBlindedHost, isI2PHost, lookup, lookup, lookupAll, lookupAll, lookupBase32, lookupBase64, put, put, putAll, putIfAbsent, putIfAbsent, registerListener, registerUpdater, remove, remove, remove, remove, removeNamingService, requestUpdate, reverseLookup, reverseLookup, reverseLookup, reverseLookupAll, reverseLookupAll, reverseLookupAll, setConfiguration, shutdown, size, size, start, toString, unregisterListener, unregisterUpdater, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BASE32_HASH_LENGTH

          protected static final int BASE32_HASH_LENGTH

      See Also:
        Constant Field Values

    - #### CACHE_MAX_SIZE

          protected static final int CACHE_MAX_SIZE

    - #### DEST_SIZE

          public static final int DEST_SIZE

      See Also:
        Constant Field Values

    - #### PROP_B32

          public static final String PROP_B32

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DummyNamingService

          protected DummyNamingService(I2PAppContext context)

      The naming service should only be constructed and accessed through the application context. This constructor should only be used by the appropriate application context itself.

  - ### Method Detail

    - #### clearCache

          protected static void clearCache()

    - #### getCache

          protected static Destination getCache(String s)

      Parameters:
        `s` - case-sensitive, could be a hostname or a full b64 string
      Returns:
        cached dest or null

    - #### lookup

          public Destination lookup(String hostname,
                                    Properties lookupOptions,
                                    Properties storedOptions)

      Description copied from class: `NamingService`
      Same as lookup(hostname) but with in and out options Note that whether this (and lookup(hostname)) resolve Base 32 addresses in the form {52 chars}.b32.i2p is NamingService-specific.
      Specified by:
        `lookup` in class `NamingService`
      Parameters:
        `hostname` - mixed case as it could be a key
        `lookupOptions` - input parameter, NamingService-specific, can be null
        `storedOptions` - output parameter, NamingService-specific, any stored properties will be added if non-null
      Returns:
        dest or null

    - #### putCache

          protected static void putCache(String s,
                                         Destination d)

      Provide basic static caching for all services
      Parameters:
        `s` - case-sensitive, could be a hostname or a full b64 string

    - #### removeCache

          protected static void removeCache(String s)

      Parameters:
        `s` - case-sensitive, could be a hostname or a full b64 string